# EverReal

## EverReal

- [Introduction](https://api-docs.everreal.co/introduction.md)
- [Authentication](https://api-docs.everreal.co/master.md): EverReal implements OAuth 2.1 authentication standard on top of its APIs. Before you can use our SSO API, everreal has to generate a client\_id and client\_secret for the SSO.
- [API ClientID and ClientSecret](https://api-docs.everreal.co/master/api-clientid-and-clientsecret.md)
- [Authentication limitations](https://api-docs.everreal.co/master/authentication-limitations.md)
- [Rate limiting](https://api-docs.everreal.co/rate-limiting.md)
- [Helpers](https://api-docs.everreal.co/helpers.md)
- [Errors](https://api-docs.everreal.co/helpers/errors.md)
- [Pagination](https://api-docs.everreal.co/helpers/pagination.md): Pagination is a technique that allows you to divide a large set of data into smaller chunks that can be easily retrieved and displayed
- [Formatting](https://api-docs.everreal.co/helpers/formatting.md): Common formatting used in Everreal
- [How to guide](https://api-docs.everreal.co/how-to-guide.md)
- [EverReal Data Import Process](https://api-docs.everreal.co/how-to-guide/everreal-data-import-process.md): This page provides a description of how the import data process works. Importing data allows you to upload your own data sets and view in EverReal
- [Connect an Integration](https://api-docs.everreal.co/how-to-guide/everreal-data-import-process/connect-an-integration.md)
- [Import Mappers](https://api-docs.everreal.co/how-to-guide/everreal-data-import-process/import-mappers.md): How to increase data consistency and save time
- [Ideal CSV Structure](https://api-docs.everreal.co/how-to-guide/everreal-data-import-process/master-data.md): This page help you understand how your csv should be structured and helpers guidelines that helps you started
- [Debug Imports](https://api-docs.everreal.co/how-to-guide/everreal-data-import-process/debug-imports.md)
- [FAQ](https://api-docs.everreal.co/how-to-guide/everreal-data-import-process/faq.md)
- [Data import via GraphQL](https://api-docs.everreal.co/how-to-guide/master-data.md): Master data is the information related to Owner, Property, Unit, Tenant and Bank Account. To request these information it is required to have authorization tokens.
- [Endpoints](https://api-docs.everreal.co/endpoints.md)
- [Account users / members](https://api-docs.everreal.co/endpoints/account-users-members.md): Entity responsible for getting user from a company, this is specifically used to get responsible users while importing properties or units
- [Owners](https://api-docs.everreal.co/endpoints/owners.md): Entity responsible for owners operations
- [Owners Query](https://api-docs.everreal.co/endpoints/owners/owners-query.md): Get Owner list from EverReal
- [Owners Mutation](https://api-docs.everreal.co/endpoints/owners/owners-mutation.md): Mutation enables to create or update owner in EverReal
- [Property Groups](https://api-docs.everreal.co/endpoints/property-groups.md): Entity responsible for property group operations
- [Property Groups Query](https://api-docs.everreal.co/endpoints/property-groups/property-groups-query.md): Gets property group lists from EverReal
- [Property Group Mutation](https://api-docs.everreal.co/endpoints/property-groups/property-group-mutation.md): Create or update property groups in EverReal
- [Properties](https://api-docs.everreal.co/endpoints/properties.md): Entity responsible for properties operations
- [Properties Query](https://api-docs.everreal.co/endpoints/properties/properties-query.md): Get list of properties
- [Properties Mutation](https://api-docs.everreal.co/endpoints/properties/properties-mutation.md): Create or update properties in EverReal
- [Units](https://api-docs.everreal.co/endpoints/units.md): Entity responsible for unts operations
- [Units Query](https://api-docs.everreal.co/endpoints/units/units-query.md): Get unit list from EverReal
- [Units Mutation](https://api-docs.everreal.co/endpoints/units/units-mutation.md): Create or update properties in Everreal
- [Listing](https://api-docs.everreal.co/endpoints/listing.md): Advert for a property that is for sale or for rent, the listing actually refers to the listing agreement that is made between a principal and an agent, regarding marketing of a property.
- [Listing Query](https://api-docs.everreal.co/endpoints/listing/listing-query.md)
- [Listing Mutation](https://api-docs.everreal.co/endpoints/listing/listing-mutation.md)
- [Candidates](https://api-docs.everreal.co/endpoints/candidates.md): Entity responsible for candidates operations
- [Candidates Query](https://api-docs.everreal.co/endpoints/candidates/candidates-query.md): This query will allow you to pull candidates from EverReal.
- [Candidate Mutation](https://api-docs.everreal.co/endpoints/candidates/candidate-mutation.md): This mutation will add a candidate to a new listing. There is limited amount of information that you can add with a candidate.
- [Messages](https://api-docs.everreal.co/endpoints/messages.md): Entity responsible for message operations
- [Contact Activites](https://api-docs.everreal.co/endpoints/contact-activites.md): Entity responsible for contact activity operations
- [Tenants](https://api-docs.everreal.co/endpoints/tenants.md): Entity responsible for tenant operations
- [Tenants Query](https://api-docs.everreal.co/endpoints/tenants/tenants-query.md): Get list of tenants from EverReal
- [Tenant Mutation](https://api-docs.everreal.co/endpoints/tenants/tenant-mutation.md): Create or Update in EverReal
- [Contract](https://api-docs.everreal.co/endpoints/contract.md): Entity responsible for a contracting operations
- [Contract Query](https://api-docs.everreal.co/endpoints/contract/contract-query.md): Entity responsible for a contracting operations
- [Contract Mutation](https://api-docs.everreal.co/endpoints/contract/contract-mutation.md)
- [Contacts](https://api-docs.everreal.co/endpoints/contacts.md): Entity responsible for a contact operations
- [Contact Mutation](https://api-docs.everreal.co/endpoints/contacts/contact-mutation.md)
- [Contact Query](https://api-docs.everreal.co/endpoints/contacts/contact-query.md): Get list of contact
- [Document management](https://api-docs.everreal.co/endpoints/document-management.md): Uploading files and documents into EverReal
- [Document management](https://api-docs.everreal.co/endpoints/document-management/document-management.md): Endpoints to upload documents to EverReal and link them to different objects
- [Simple file upload](https://api-docs.everreal.co/endpoints/document-management/simple-file-upload.md): This page describes how to upload files, so you can use them later for other purposes.
- [Tasks](https://api-docs.everreal.co/endpoints/tasks.md): Section responsible for tasks operations
- [Tasks Query](https://api-docs.everreal.co/endpoints/tasks/tasks-query.md): This query will allow you to pull tasks from EverReal.
- [Protocols](https://api-docs.everreal.co/endpoints/protocols.md): Entity responsible for Protocol operations
- [Protocol Query](https://api-docs.everreal.co/endpoints/protocols/protocol-query.md): This query will allow you to pull protocols from EverReal.
- [Webhooks](https://api-docs.everreal.co/webhooks.md): Webhooks are custom notifications where EverReal will send a request to registered url to notify a specific event happened in our system.
- [Owner Events](https://api-docs.everreal.co/webhooks/owner-events.md)
- [OWNER\_CREATED](https://api-docs.everreal.co/webhooks/owner-events/owner_created.md): When owner is created in EverReal, the below payload is submitted as a notification.
- [OWNER\_UPDATED](https://api-docs.everreal.co/webhooks/owner-events/owner_updated.md): When owner details are updated in EverReal, the below payload is submitted as a notification.
- [OWNER\_DELETED](https://api-docs.everreal.co/webhooks/owner-events/owner_deleted.md): When owner is deleted in EverReal, the below payload is submitted as a notification.
- [Property Events](https://api-docs.everreal.co/webhooks/property-events.md)
- [PROPERTY\_CREATED](https://api-docs.everreal.co/webhooks/property-events/property_created.md): When property is created in EverReal, the below payload is submitted as a notification.
- [PROPERTY\_UPDATED](https://api-docs.everreal.co/webhooks/property-events/property_updated.md): When property is updated in EverReal, the below payload is submitted as a notification.
- [PROPERTY\_DELETED](https://api-docs.everreal.co/webhooks/property-events/property_deleted.md): When property is deleted in EverReal, the below payload is submitted as a notification.
- [Unit Events](https://api-docs.everreal.co/webhooks/unit-events.md)
- [UNIT\_CREATED](https://api-docs.everreal.co/webhooks/unit-events/unit_created.md): When unit is created in EverReal, the below payload is submitted as a notification.
- [UNIT\_UPDATED](https://api-docs.everreal.co/webhooks/unit-events/unit_updated.md): When unit details are updated in EverReal, the below payload is submitted as a notification.
- [UNIT\_DELETED](https://api-docs.everreal.co/webhooks/unit-events/unit_deleted.md): When unit is deleted in EverReal, the below payload is submitted as a notification.
- [Listing Events](https://api-docs.everreal.co/webhooks/listing-events.md)
- [LISTING\_ACTIVATED](https://api-docs.everreal.co/webhooks/listing-events/listing_activated.md): When a listing is activated in EverReal, the below payload is submitted as a notification.
- [LISTING\_ARCHIVED](https://api-docs.everreal.co/webhooks/listing-events/listing_archived.md): When a listing is archived or auto-archived in EverReal, the below payload is submitted as a notification.
- [LISTING\_UPDATED](https://api-docs.everreal.co/webhooks/listing-events/listing_updated.md): When listing details are updated in EverReal, the below payload is submitted as a notification.
- [LISTING\_DEACTIVATED](https://api-docs.everreal.co/webhooks/listing-events/listing_deactivated.md): When a listing is deactivated in EverReal, the below payload is submitted as a notification.
- [LISTING\_CREATED](https://api-docs.everreal.co/webhooks/listing-events/listing_created.md): When a listing is created in EverReal, the below payload is submitted as a notification.
- [LISTING\_PUBLISHED\_TO\_CHANNEL](https://api-docs.everreal.co/webhooks/listing-events/listing_published_to_channel.md): When a listing is published on a portal in EverReal, the below payload is submitted as a notification.
- [LISTING\_UNPUBLISHED\_FROM\_CHANNEL](https://api-docs.everreal.co/webhooks/listing-events/listing_unpublished_from_channel.md): When a listing is un-published in EverReal, the below payload is submitted as a notification.
- [Candidates Events](https://api-docs.everreal.co/webhooks/candidates-events.md)
- [CANDIDATE\_PARSED](https://api-docs.everreal.co/webhooks/candidates-events/candidate_parsed.md): When a candidate applies from portal to a listing in EverReal, the below payload is submitted as a notification.
- [LISTING\_CANDIDATE\_APPLIED](https://api-docs.everreal.co/webhooks/candidates-events/listing_candidate_applied.md): When a candidate applies to a listing in EverReal, the below payload is submitted as a notification.
- [Listing Contracting Events](https://api-docs.everreal.co/webhooks/listing-contracting-events.md)
- [LISTING\_CONTRACT\_FLOW\_SIGNED](https://api-docs.everreal.co/webhooks/listing-contracting-events/listing_contract_flow_signed.md): When the contract is fully signed by both candidate and owner in EverReal, the below payload is submitted as a notification.
- [LISTING\_CONTRACT\_FLOW\_PARTIALLY\_SIGNED](https://api-docs.everreal.co/webhooks/listing-contracting-events/listing_contract_flow_partially_signed.md): When the contract is partially signed by candidate in EverReal, the below payload is submitted as a notification.
- [LISTING\_CONTRACT\_FLOW\_WITHDRAWN](https://api-docs.everreal.co/webhooks/listing-contracting-events/listing_contract_flow_withdrawn.md): When a contract is withdrawn in EverReal, the below payload is submitted as a notification.
- [LISTING\_CONTRACT\_FLOW\_STARTED](https://api-docs.everreal.co/webhooks/listing-contracting-events/listing_contract_flow_started.md): When the contract is created in EverReal, the below payload is submitted as a notification.
- [Listing Scheduling Events](https://api-docs.everreal.co/webhooks/listing-scheduling-events.md)
- [LISTING\_CANDIDATE\_SCHEDULE\_TIMESLOT\_BOOKING\_REMOVED\_CANDIDATE](https://api-docs.everreal.co/webhooks/listing-scheduling-events/listing_candidate_schedule_timeslot_booking_removed_candidate.md): When a candidate cancels a viewing time-slot in EverReal, the below payload is submitted as a notification.
- [LISTING\_CANDIDATE\_SCHEDULE\_TIMESLOT\_BOOKING\_REMOVED\_ADMIN](https://api-docs.everreal.co/webhooks/listing-scheduling-events/listing_candidate_schedule_timeslot_booking_removed_admin.md): When a admin cancels a viewing timeslot in EverReal, the below payload is submitted as a notification.
- [LISTING\_CANDIDATE\_SCHEDULE\_TIMESLOT\_BOOKED\_CANDIDATE](https://api-docs.everreal.co/webhooks/listing-scheduling-events/listing_candidate_schedule_timeslot_booked_candidate.md): When a candidate books a viewing timeslot in EverReal, the below payload is submitted as a notification.
- [LISTING\_CANDIDATE\_SCHEDULE\_TIMESLOT\_BOOKED\_ADMIN](https://api-docs.everreal.co/webhooks/listing-scheduling-events/listing_candidate_schedule_timeslot_booked_admin.md): When admin schedules the time-slot for candidate in EverReal, the below payload is submitted as a notification.
- [LISTING\_CANDIDATE\_SCHEDULE\_NEW\_TIMESLOTS\_REQUESTED](https://api-docs.everreal.co/webhooks/listing-scheduling-events/listing_candidate_schedule_new_timeslots_requested.md): When candidate requests a new time-slot in EverReal, the below payload is submitted as a notification.
- [LISTING\_CANDIDATE\_SCHEDULE\_INVITED\_VIEWING](https://api-docs.everreal.co/webhooks/listing-scheduling-events/listing_candidate_schedule_invited_viewing.md): When admin invites a candidate for new viewing in EverReal, the below payload is submitted as a notification.
- [Protocol Events](https://api-docs.everreal.co/webhooks/protocol-events.md)
- [MOVE\_IN\_PROTOCOL\_COMPLETED](https://api-docs.everreal.co/webhooks/protocol-events/move_in_protocol_completed.md): Payload submitted when EverReal send a notification for MOVE\_IN\_PROTOCOL\_COMPLETED
- [MOVE\_OUT\_PROTOCOL\_COMPLETED](https://api-docs.everreal.co/webhooks/protocol-events/move_out_protocol_completed.md): Payload submitted when EverReal send a notification for MOVE\_OUT\_PROTOCOL\_COMPLETED
- [PROTOCOL\_COMPLETED](https://api-docs.everreal.co/webhooks/protocol-events/protocol_completed.md): Payload submitted when EverReal send a notification for PROTOCOL\_COMPLETED
- [Change log](https://api-docs.everreal.co/change-log.md)
- [Releases](https://api-docs.everreal.co/change-log/releases.md)
- [Introducing Mappers](https://api-docs.everreal.co/change-log/releases/introducing-mappers.md): Release Date: 16 May 2023
- [Enhancements for GraphQL](https://api-docs.everreal.co/change-log/releases/enhancements-for-graphql.md): Release - End of May
- [Enhancements for Querying](https://api-docs.everreal.co/change-log/releases/enhancements-for-querying.md): Release Date July 10th 2023
- [Enhancements for Webhooks](https://api-docs.everreal.co/change-log/releases/enhancements-for-webhooks.md): Released Date 20th July 2023
- [Upcoming](https://api-docs.everreal.co/change-log/upcoming.md)
- [Introduced Querying Protocol in GraphQL](https://api-docs.everreal.co/change-log/upcoming/introduced-querying-protocol-in-graphql.md): Release - End of May 2025


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://api-docs.everreal.co/introduction.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
